有效解决BT面板"nginx: [emerg] open()"问题(更换Nginx版本)

这个问题还是前几天网友反馈的问题,老蒋出去了比较忙都没有帮助他们处理,但是我都是提出解决办法他们去解决的,不过问题的解决过程我都记录下来。这个同学有在安装BT面板之后创建站点,发现站点无法运行,在重启Nginx有发现报错。

我让他截图看看,得到的错误提示是"nginx: [emerg] open( "/www/server/nginx/conf/enable-php.conf" failed"。

ERROR:检测到配置文件有错误请先排除后再操作
nginx: [emerg] open( "/www/server/nginx/conf/enable-php.conf" failed (2: No SuCh file or directory) in /www/server/nginx/conf/nginx.conf:.71
nginx: configuration file /www/server/nginx/conf/nginx.conf test failed

有效解决BT面板"nginx: [emerg] open()"问题(更换Nginx版本)

这里老蒋翻看之前的文章有记录到"解决LNMP环境nginx: [emerg] open()错误问题",这不直接给他看后直接懵圈,因为他不会脚本操作。而且我之前是LNMP脚本记录,不是BT面板。

于是我想到一个办法,让他更换不同版本的Nginx。检查当前的BT面板的Nginx版本,卸载掉之后,然后重新安装一个低版本的。安装完毕之后再重启Nginx发现没有报错,然后创建站点是没有问题的。

就这样,比较简单且不要用到脚本解决问题,解决了"nginx: [emerg] open()"问题。

本文出处:老蒋部落 » 有效解决BT面板"nginx: [emerg] open()"问题(更换Nginx版本) | 欢迎分享( 公众号:站长事儿 )